from IPython.display import display, HTML

DESIGNLIST = [
    "",
    """
    <style>
            div.cell.text_cell {
             padding-top: 15px;
             padding-bottom: 15px;
            }
            div.cell.code_cell {
             padding-top: 15px;
             padding-bottom: 15px;
            }
            .rendered_html h1 {
             font-size: 210%;
             padding-top: 20pt;
             padding-bottom: 8pt;
            }
            .rendered_html h2 {
             font-size: 190%;
             padding-top: 19pt;
             padding-bottom: 7pt;
            }
            .rendered_html h3 {
             font-size: 170%;
             padding-top: 8pt;
             padding-bottom: 5pt;
            }
            .rendered_html h4 {
             font-size: 130%;
            }
            .CodeMirror {
                font-size:14px;
                line-height: 25px;
            }
            div#notebook {
             font-size: 15px;
             line-height: 25px;
           }

    """,
    """
    <style>    
        div.cell.text_cell {
         padding-top: 15px;
         padding-bottom: 15px;
        }
        div.cell.code_cell {
         padding-top: 15px;
         padding-bottom: 15px;
        }
        .rendered_html h1 {
         font-size: 220%;
         padding-top: 23pt;
         padding-bottom: 10pt;
        } 
        .rendered_html h2 {
         font-size: 200%;
         padding-top: 23pt;
         padding-bottom: 10pt;
        }      
        .rendered_html h3 {
         font-size: 170%;
         padding-top: 8pt;
         padding-bottom: 5pt;
        }
        .rendered_html h4 {
         font-size: 140%;
        }
        .CodeMirror {
         font-size:25px;
         line-height: 40px;
        }
        div#notebook {
         font-size: 20px;
         line-height: 28px;
        }

    """
]


def design(number, fullwidth):

    if fullwidth:
        display(HTML(DESIGNLIST[number] + ".container {width: 100%} </style>")) 
    else:
        display(HTML(DESIGNLIST[number] + "</style>")) 

 
    
    