










































































































































































































































































































from random import randint, sample, uniform, choices
import sys
import math
import string

def gimme(a_man_after_midnight=1):
    if a_man_after_midnight == 1:
        return sample(range(-100, 100), 10)
    elif a_man_after_midnight == 2:
        return zip(sample(range(-100, 100), 10), sample(range(-100, 100), 10))
    raise ValueError()

class Test:
    def __init__(self, fn):
        self.fn = fn

    def check(self, args, output):
        res = self.fn(*args)
        if res == None:
            raise AssertionError("Funktion hat keinen Rückgabewert, return vergessen?")
        richtig = (res == output)
        alist = ", ".join(str(x) for x in args)
        antwort = "OK!" if richtig else "FALSCH!"
        first = f"Test: {self.fn.__name__}({alist}) ..."
        if richtig:
            print(f"{first} OK!")
        else:
            print(f"{first} FALSCH!")
            print(f"Erwartet: {output}")
            print(f"Erhalten: {res}")

            assert richtig, "Leider falsch :("

    def c(self, args, output):
        return lambda: self.check(args, output)
    
    def ist_die_antwort(self):
        yield self.c([42], True)
        for a in gimme():
            yield self.c([a], a == 42)

    def mul(self):
        yield self.c([0, 0], 0)
        for a, b in gimme(2):
            yield self.c([a, b], a * b)
            
    def umfang(self):
        for a, b in gimme(2):
            yield self.c([a, b], 2 * a + 2 * b)

    def kreisflaeche(self):
        from math import pi
        for a in gimme():
            a = abs(a) + 1
            yield self.c([a], pi * a * a)

    def posneg(self):
        yield self.c([0], 0)
        for a in gimme()[:5]:
            a = abs(a) + 1
            yield self.c([a], 1)
        for a in gimme()[:5]:
            a = -(abs(a) + 1)
            yield self.c([a], -1)
            
    def substantiv(self):
        yield self.c(["Hallo"], True)
        yield self.c(["hallo"], False)
        yield self.c(["Python"], True)
        yield self.c(["HSMW"], True)
        yield self.c(["coden"], False)
        yield self.c(["Mensa"], True)
        yield self.c(["programmieren"], False)
    
    def wortanzahl(self):
        yield self.c(["Alle meine Entchen"], 3)
        yield self.c(["Winkekatze"], 1)
        yield self.c(["Eine Katze"], 2)
        yield self.c(["Ich mach heute Python. Machst du heute Python?"], 8)
        yield self.c(["Pi ist genau Drei"], 4)
        yield self.c(["Python ist schoen"], 3)
    
    def kleinbuchstabe(self):
        yield self.c(["Alle meine Entchen"], 14)
        yield self.c(["Winkekatze"], 9)
        yield self.c(["Eine Katze"], 7)
        yield self.c(["Ich mach heute Python. Machst du heute Python?"], 33)
        yield self.c(["Pi ist genau Drei"], 12)
        yield self.c(["Python ist schoen"], 14)

    def listensumme(self):
        yield self.c([[]], 0)
        yield self.c([[1, 3, -3]], 1)
        yield self.c([[2, 4]], 6)
        for i in range(5):
            j = gimme()[:5]
            yield self.c([j], sum(j))

    def gerade_zahlen(self):
        yield self.c([[]], 0)
        yield self.c([[1, 3, 0, 4]], 2)
        yield self.c([[2, 4, 8]], 3)
        yield self.c([[1, 9, 3, 1]], 0)
        for i in range(5):
            j = gimme()
            j = [abs(x) for x in j]
            g = len(list(filter(lambda x: x % 2 == 0, j)))
            yield self.c([j], g)

    def wochentag(self):
        yield self.c([0], "Sonntag")
        yield self.c([3], "Mittwoch")
        yield self.c([1], "Montag")
        yield self.c([2], "Dienstag")
        yield self.c([7], "Sonntag")
        yield self.c([6], "Samstag")
        yield self.c([4], "Donnerstag")
        yield self.c([5], "Freitag")

    def regelstudienzeit(self):
        yield self.c([dict(name="Hans", semester=3)], True)
        yield self.c([dict(name="Paul", semester=6)], True)
        yield self.c([dict(name="Frank", semester=20)], False)
        yield self.c([dict(name="Igor", semester=7)], True)
        yield self.c([dict(name="Lisa", semester=1)], True)
        yield self.c([dict(name="Maria", semester=11)], False)
        yield self.c([dict(name="Sarah", semester=10)], True)

    def regelstudienzeit_2(self):
        yield self.c([dict(name="Hans", semester=3, bachelor=True)], True)
        yield self.c([dict(name="Paul", semester=6, bachelor=True)], True)
        yield self.c([dict(name="Frank", semester=20, bachelor=True)], False)
        yield self.c([dict(name="Igor", semester=7, bachelor=True)], False)
        yield self.c([dict(name="Lisa", semester=1, bachelor=True)], True)
        yield self.c([dict(name="Maria", semester=11, bachelor=True)], False)
        yield self.c([dict(name="Sarah", semester=10, bachelor=True)], False)

        yield self.c([dict(name="Hans", semester=3, bachelor=False)], True)
        yield self.c([dict(name="Paul", semester=6, bachelor=False)], True)
        yield self.c([dict(name="Frank", semester=20, bachelor=False)], False)
        yield self.c([dict(name="Igor", semester=7, bachelor=False)], True)
        yield self.c([dict(name="Lisa", semester=1, bachelor=False)], True)
        yield self.c([dict(name="Maria", semester=11, bachelor=False)], False)
        yield self.c([dict(name="Sarah", semester=10, bachelor=False)], True)
        
    def zaehlen(self):
        yield self.c([[]], 0)
        yield self.c([[0]], 0)
        yield self.c([[-2, -4, -8]], 0)
        yield self.c([[1, 9, 3, 1]], 4)
        yield self.c([[1, -3, 0, 4]], 2)
        for i in range(5):
            j = gimme()
            j = [x for x in j]
            g = len(list(filter(lambda x: x > 0, j)))
            yield self.c([j], g)
    
    def ziffern(self):
        yield self.c([0], 1)
        yield self.c([13], 2)
        yield self.c([12345], 5)
        yield self.c([135798642], 9)
        yield self.c([4242], 4)

def test(fn):
    t = Test(fn)

    testfn = getattr(t, fn.__name__, None)
    if testfn is None:
        raise ValueError(f"Unbekannter Funktionsname {fn.__name__}")    
    for test in testfn():
        richtig = None
        try:
            test()
        except AssertionError as e:
            richtig = e

        
        assert not richtig, str(richtig)


    print("Die Lösung ist korrekt :)")
